;*************************************************************************
; FILENAME	:	ex5_main.asm
; ROUTINES	:	ex5_main
;*************************************************************************
;************************************************************************
;SUBROUTINE	:	ex5_main.asm
;PURPOSE	
;		This is a program to calculate the squareroot
;		of a fractional number
;************************************************************************
	TITLE	'ROOT DEMO'
;****** Definition of Input data *********
	SECTION ex5_data
	xdef	IN_SEQ,OUT_SEQ
	ORG	l:
IN_SEQ	dc	$000000000001
	dc	$7fffff000000
	dc	$7ffffc000000
	dc	$200000000000
	dc	$ffffffffffff
	ORG	x:
OUT_SEQ ds	5
	ORG	y:
OUT_SEX ds	5
	ENDSEC
;******	PROGRAM:   **********************	
	SECTION ex5_code			; declare a program section,..
	xref	root_24
	xref	IN_SEQ,OUT_SEQ
	ORG	p:				; to be located in p RAM
						; see ex5.ctl for allocation
ex5_start
	move	#$100300,sr			; set rounding mode to convergent
						; and switch arithmetric
						; saturation on
	move	#IN_SEQ,r0			; init read pointer
	move	#OUT_SEQ,r3			; init write pointer
	do	#5,check			; calculate with three inputs
	move	l:(r0)+,x			; init with input data
	jsr	root_24				; else start root calulation
	
	move	b1,x:(r3)+			; store results
check
	bra	check				; stop at endless loop
	ENDSEC		
